## org.apache.batik.dom
Class GenericEntityReference

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractParentChildNode
                  org.apache.batik.dom.AbstractEntityReference
                      org.apache.batik.dom.GenericEntityReference

All Implemented Interfaces:
  org.w3c.dom.EntityReference, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

public class GenericEntityReference
extends AbstractEntityReference

This class implements the `EntityReference` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected boolean` `readonly` Is this node immutable?

Fields inherited from class org.apache.batik.dom.AbstractEntityReference
`nodeName`

Fields inherited from class org.apache.batik.dom.AbstractParentChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `GenericEntityReference()` Creates a new EntityReference object.
`` `GenericEntityReference(java.lang.String name, AbstractDocument owner)` Creates a new EntityReference object.

Method Summary
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractEntityReference
`checkChildType, copyInto, deepCopyInto, deepExport, export, getNodeName, getNodeType, setNodeName`

Methods inherited from class org.apache.batik.dom.AbstractParentChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, isSupported, removeEventListener, setNodeValue, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### readonly

    protected boolean readonly

  Is this node immutable?

Constructor Detail

### GenericEntityReference

    protected GenericEntityReference()

  Creates a new EntityReference object.

### GenericEntityReference

    public GenericEntityReference(java.lang.String name,
                                  AbstractDocument owner)

  Creates a new EntityReference object.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.